Compare commits

...

No commits in common. "master" and "pristine-tar" have entirely different histories.

17 changed files with 1 additions and 2202 deletions

View File

@ -1,84 +0,0 @@
#!/bin/bash
# the directory of the script
DIR=`cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd`
echo "Working directory $DIR"
# the temp directory used, within $DIR
WORK_DIR=`mktemp -d -p "$DIR"`
echo "Creating temp working directory $WORK_DIR"
# deletes the temp directory
function cleanup {
rm -rf "$WORK_DIR"
echo "Deleted temp working directory $WORK_DIR"
}
# register the cleanup function to be called on the EXIT signal
trap cleanup EXIT
# Download Files specified in files.diz
while IFS=! read type app version outputfile url md5
do
echo "Downloading $app Version: $version"
#use -O for output file. define $outputfile yourself
wget -c --no-check-certificate --tries=1 -O $DIR/../$outputfile --timeout=5 "$url"
# use $(..) instead of backticks.
calculated_md5=$(md5sum "$DIR/../$outputfile" | cut -f 1 -d " ")
# compare md5
case "$calculated_md5" in
"$md5" )
echo "$DIR/../$outputfile md5 ok"
;;
*)
echo "$DIR/../$outputfile md5 NOT ok"
exit 1
;;
esac
done < "$DIR/files.diz"
# Extract to specified dir and set some variables
while IFS=! read type app version outputfile url md5
do
mkdir -p $WORK_DIR/${type}
pushd $WORK_DIR/${type}
tar -zxf $DIR/../$outputfile
popd
mkdir -p $WORK_DIR/${app}-${version}/${type}
dos2unix $WORK_DIR/${type}/*.txt
mv $WORK_DIR/${type}/*.txt $WORK_DIR/${app}-${version}
pushd $WORK_DIR/${app}-${version}/${type}
rpm2cpio $WORK_DIR/${type}/Dellmgr*.rpm | cpio -idmv
case "${type}" in
"amd64" )
rm -f opt/MegaRAID/storcli/storcli
;;
"i386" )
rm -f opt/MegaRAID/storcli/storcli64
;;
*)
echo "Wrong arch"
exit 1
;;
esac
echo "${app}_${version}.orig.tar.gz" > $WORK_DIR/filename.txt
echo "${app}-${version}" > $WORK_DIR/dirname.txt
echo "${version}" > $WORK_DIR/version.txt
popd
done < "$DIR/files.diz"
FILENAME=`cat $WORK_DIR/filename.txt`
DIRNAME=`cat $WORK_DIR/dirname.txt`
echo "Creating $DIR/../$FILENAME "
pushd $WORK_DIR
tar -czf $DIR/../$FILENAME $DIRNAME
popd
#exit 1
VER=`cat $WORK_DIR/version.txt`
echo "Importing $DIR/../$FILENAME as $VER into git"
cleanup
gbp import-orig --pristine-tar -u $VER $DIR/../$FILENAME
exit 0

File diff suppressed because it is too large Load Diff

17
debian/changelog vendored
View File

@ -1,17 +0,0 @@
dellmgr (5.32.0) UNRELEASED; urgency=medium
* new upstream version
-- Mario Fetka <mario.fetka@gmail.com> Sat, 11 Nov 2017 16:49:40 +0100
dellmgr (5.31-2) unstable; urgency=low
* Update create-devices-nodes to handle kernels 2.6.25rc2+.
-- Adam Cécile (Le_Vert) <gandalf@le-vert.net> Mon, 16 Feb 2009 19:31:24 +0100
dellmgr (5.31-1) unstable; urgency=low
* Initial release.
-- Adam Cécile (Le_Vert) <gandalf@le-vert.net> Tue, 26 Aug 2008 10:01:34 +0200

1
debian/compat vendored
View File

@ -1 +0,0 @@
7

20
debian/control vendored
View File

@ -1,20 +0,0 @@
Source: dellmgr
Section: admin
Priority: optional
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.8.0
Homepage: http://linux.dell.com
Package: dellmgr
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manage DELL PERC/CERC cards based on LSI MegaRAID chip
This tool allow you to access the RAID card BIOS from Linux.
.
Useful to manage arrays or start maintenance operations.
.
If you have a MegaRAID card, which doesn't come from Dell, look at
megamgr package instead.
.
This tool will not work on recent SAS cards.

19
debian/copyright vendored
View File

@ -1,19 +0,0 @@
This package was debianized by Adam Cécile (Le_Vert) <gandalf@le-vert.net> on
Tue, 26 Aug 2008 10:01:34 +0200.
It was downloaded from http://linux.dell.com/storage.shtml
Upstream Author:
Dell Inc.
Copyright:
Copyright (C) Dell Inc.
License:
Dell proprietary.
The Debian packaging is (C) 2008, Adam Cécile (Le_Vert) <gandalf@le-vert.net>
and is licensed under the GPL, see `/usr/share/common-licenses/GPL'.

2
debian/dirs vendored
View File

@ -1,2 +0,0 @@
usr/sbin
usr/lib/dellmgr

1
debian/docs vendored
View File

@ -1 +0,0 @@
*.txt

44
debian/rules vendored
View File

@ -1,44 +0,0 @@
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DESTDIR = $(CURDIR)/debian/dellmgr
build:
clean:
dh_testdir
dh_testroot
dh_clean
install:
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
install -D -m 755 $(CURDIR)/i386/usr/sbin/dellmgr.bin \
$(DESTDIR)/usr/lib/dellmgr/dellmgr.real
install -D -m 644 $(CURDIR)/debian/wrappers/create-device-node \
$(DESTDIR)/usr/lib/dellmgr/create-device-node
install -D -m 755 $(CURDIR)/debian/wrappers/dellmgr \
$(DESTDIR)/usr/sbin/dellmgr
binary-indep: build install
binary-arch: build install
dh_testdir
dh_testroot
dh_installchangelogs debian/Dellmgr-changes.txt
dh_installdocs
dh_link
dh_strip
dh_compress
dh_fixperms
dh_installdeb
dh_shlibdeps
dh_gencontrol
dh_md5sums
dh_builddeb
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

View File

@ -1,21 +0,0 @@
# Author: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
# License: Public domain
create_node() {
# Since 2.6.25rc2 linux kernel, megadev0 is created dynamically by udev
# See http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=90a95af85f22c82f87e5fb714bac7ee06673b0ff
if [ ! -e /dev/megadev0 ]; then
# Not available, try to create it by hand for kernel pre 2.6.25rc2
grep -q 'megadev$' /proc/devices && MEGARAID="ok"
if [ ! -z ${MEGARAID} ]; then
MAJOR=`grep 'megadev$' /proc/devices | head -n 1 | awk '{ print $1 }'`
mknod /dev/megadev0 c $MAJOR 0
return $?
fi
fi
if [ -e /dev/megadev0 ]; then
return 0
else
return 1
fi
}

View File

@ -1,12 +0,0 @@
#!/bin/sh
. /usr/lib/dellmgr/create-device-node
create_node
if [ $? -eq 0 ]; then
/usr/lib/dellmgr/dellmgr.real $@
else
echo "No LSI MegaRAID cards found."
exit 1
fi

Binary file not shown.

View File

@ -0,0 +1 @@
ae90885fde5eaed5e33f7d2a7f7c48cc91b99447

View File

@ -1 +0,0 @@
i386!dellmgr!5.32.0!perc-apps-a08.tar.gz!http://ftp.us.dell.com/scsi-raid/perc-apps-a08.tar.gz!267bbd55e19f8bc021da7ef29dd43d32

View File

@ -1,54 +0,0 @@
#!/bin/sh
# Script to execute the "dellmgr.bin" binary for LINUX ONLY
# This script opens a node at run time. It gets the major
# no of the megadev and then opens a node with the major number.
# If the node is already present, it removes the node first
# and then creates a fresh node.
# Get the major number of the megadev ioctl node
MAJOR=`grep megadev /proc/devices|awk '{print $1}'`
if [ ! x$MAJOR = x ]
then
# major device number found
rm -f /dev/megadev0 # remove if already there, ignore if not.
mknod /dev/megadev0 c $MAJOR 0
fi
# Execute the dellmgr binary
# RedHat 8.0 specific changes since 10-03-02: Timir/Amit as unicode is default
# on RH8.0 release
#------------
if [ `/sbin/consoletype` = vt ]
then
grep unicode_start /etc/profile.d/lang.sh && unicode_stop && setfont
fi
OLD_TERM=$TERM
case $TERM in
"xterm" | "linux")
;;
*) export TERM=linux;;
esac
# Execute dellmgr code
/usr/sbin/dellmgr.bin
# RedHat 8.0 specific changes since 10-03-02: Timir/Amit
# Restore bad things we did in our way
#------------
export TERM=$OLD_TERM
if [ `/sbin/consoletype` = vt ]
then
grep unicode_start /etc/profile.d/lang.sh && unicode_start && setfont
fi
# clear the screen to avoid the unwanted message display which
# appears on the screen otherwise : 10-25-2002 : amitp
clear
clear

Binary file not shown.

View File

@ -1,158 +0,0 @@
PERC/CERC RAID Applications for Linux 2.1 and 3.0
=================================================
This package contains RAID management applications for Linux for:
PERC 4e/Di, 4e/Si, 4e/DC
PERC 4/Di, 4/DC, 4/SC
PERC 3/QC, 3/DC, 3/DCL, 3/SC
The following files are included in this package:
Dellmgr-5.32-0.i386.rpm
linflash-3.03-0.i386.rpm
Megamon-4.0-2.i386.rpm
percsnmp-4.10a-1.i386.rpm
readme.txt
Installation Instructions
==========================
You will need a formatted 3 1/2 inch floppy diskette for the following
procedure. Download the file xxx.tar.gz to a temporary directory.
Extract the file to the floppy disk as follows:
1. On a Linux system:
Type the following commands under a Linux command shell:
mount /dev/fd0 /mnt/floppy
tar xvzf (full path to the archive) -C /mnt/floppy
(Eg: /temp/xxxx.tar.gz)
umount /mnt/floppy
2. On a Windows system:
Use a utility such as Winzip to extract the contents to a diskette.
NOTE: For Winzip, you will have to uncheck the "TAR file smart CR/LF
conversion" option under:
Options->Configuration->Miscellaneous
for the extraction to work correctly.
On the target system, mount the floppy created above as follows:
mount /dev/fd0 /mnt/floppy
Install the individual utilites as described below.
Installation of Dellmgr
=======================
NOTE: If Dellmgr version 5.22 or older is already installed in the system, it will
have to be uninstalled prior to installing the current version as follows:
rpm -e dellmgr
To install, enter the following on the command line:
rpm -i Dellmgr-5.32-0.i386.rpm
This will install following two files in the /usr/sbin directory
dellmgr : 1,320 bytes : Script to call configuration utility binary (dellmgr.bin)
dellmgr.bin : 593,044 bytes : Binary for configuration utility
After installation type “dellmgr” to start the utility.
To uninstall the rpm:
rpm -e Dellmgr-5.32-0
NOTE: If Dellmgr is used in Gnome Terminal instead of the console, function
key shortcuts are accessible with alt-Fxx instead of Fxx.
Eg: Use alt-F10 in place of F10.
Installation of Linflash
========================
To install, enter the following on the command line:
rpm -Uvh /mnt/floppy/linflash-3.03-0.i386.rpm
You must copy the firmware image to the same directory for the linux
flash utility to work. Create a diskette image of the firmware and copy
the .rom file to the same directory as linflash.
Usage : linflash [-r] [-p] [-s] [-i [file] [file] [...]] [-f [file]
[file] [...]]
-r : Flash without asking for user input to flash adapter(s).
-p : Prompt user for filename. Flash without checking for signatures.
-s : Silent flash. First matching image file will be taken for each
adapter.
-i : Ignore the following files. These files will not be considered for
flashing the matching controllers.
-f : Force the following files To be flashed for the matching controller.
In case more than one matching files are specified, the first one
would be taken.
To uninstall the rpm, enter the following command:
rpm -e linflash
Installation of Megamon
=======================
To install, enter the following on the command line:
rpm -ivh Megamon-4.0-2.i386.rpm
For email notification edit /etc/megamon.conf file. See details in the
header section of this file
To start the monitoring service:
/etc/rc.d/init.d/raidmon start
To stop the monitoring service:
/etc/rc.d/init.d/raidmon stop
To restart the monitoring service:
/etc/rc.d/init.d/raidmon [restart|reload]
To uninstall the rpm:
rpm -e Megamon-4.0-2
Installation of PERC SNMP Agent
===============================
If RPM support is there, install DELL PERC SNMP Agent using
rpm -i percsnmp-4.10a-1.i386.rpm
Note:
If you have installed previous release of percsnmp
please uninstall the older one,by running
rpm -e percsnmp
Then proceed to install the new release.
Fixes and Enhancements
======================
Dellmgr 5.32-0 fixes or changes
------------------------
1. Added support for Express RAID controllers
2. Application gives a message box to the user if rebuild completes with error.
Megamon 4.0-1 fixes or changes
------------------------
1. If the Rebuild completed with error and the f/w retunred error code 0x03 for rebuild progress cmd[with 100% progress], then monitor will report that: "RBLD is COMPLETED w/ERROR" for the associated physical drive.
2. Fixed ability to abort a Check consistency in progress.
Linflash 3.03-0 fixes or changes
-------------------------
1. Return code was not correct for the cases of success and failure.
Script file “linflash” modified.
PercSNMP 4.10a-1 fixes or changes
-------------------------
1. During the startup the S55percagent script reported execution permission denied exception. The S55percsnmp script was not built in rpm with execution permission
2. Traps were not generated when the community is other than public.
Previously the public string was hard coded and hence what ever the type of community string in the configuration file it was displayed as public, now the actual community string read from the configuration file is given to generate the traps. A private community entry shall be added in the configuration file and the generated traps may be observed.